Package does not match intended download - Help download older version

I show the file still available, but amzn2 is failing to download, a mismatch in the md5 or something possibly? Current repo maintenance or a recent maintenance that put the repo in a weird state?

couchbase-server-community-6.6 FAILED ] 125 MB/s | 164 MB 00:00:00 ETA
http://packages.couchbase.com/releases/couchbase-server/community/amzn/2/x86_64/couchbase-server-community-6.6.0-amzn2.x86_64.rpm: [Errno -1] Package does not match intended download. Suggestion: run yum --enablerepo=couchbase-server-community clean metadata

No cleaning of the metadata is helping. This is a newish problem, I’m sure I downloaded it a month ago.

The sha256 is correct for the download :

shasum -a 256 couchbase-server-community-6.6.0-amzn2.x86_64.rpm
61d179078e5a94fd13744b6a96b0c6f6483cac081b6a5f58dec07520481bf5a4 couchbase-server-community-6.6.0-amzn2.x86_64.rpm

https://packages.couchbase.com/releases/6.6.0/couchbase-server-community-6.6.0-amzn2.x86_64.rpm.sha256
61d179078e5a94fd13744b6a96b0c6f6483cac081b6a5f58dec07520481bf5a4